End User License Agreement (EULA)

1. Licensed software. OpenFaaS Pro is licensed as commercial software and must not be used without a valid license key from OpenFaaS Ltd.

1.2 There are two variants of OpenFaaS Pro, OpenFaaS Standard and OpenFaaS for Enterprises. The term OpenFaaS Pro may be used to refer to either of these variants.

1.3 OpenFaaS Ltd. ("Supplier") is a registered company in England & Wales with number: 11076587, registered address: Peterborough UK.

2. Your agreement. By accessing, executing, or otherwise using the Licensed Software, you ("Customer") acknowledge that you have read this Agreement, understand it, and agree to be bound by its terms and conditions. If you are not willing to be bound by the terms of this Agreement, do not access or use the Licensed Software.

2.1 If you are using the Licensed Software in your capacity as employee or agent of a company or organization, then any references to “you” in this Agreement shall refer to such entity and not to you in your personal capacity. You warrant that you are authorized to legally bind the company or organization on whose behalf you are accessing the Licensed Software. If you are not so authorized, then neither you nor your company or organization may use the Licensed Software in any manner whatsoever.

2.2 This Agreement, including any supplemental terms is between You ("Customer) and OpenFaaS Ltd. ("Supplier").

2.3 Governing law. This Agreement is entered into the law of The Courts of England and Wales and shall be governed by, and construed in accordance with, the laws of England and Wales, exclusive of its choice of law rules.

3. Free Trial

If you either register on the OpenFaaS Pro web site for a free trial or otherwise order a free trial version, OpenFaaS Ltd will make certain Licensed Software available to you on a trial basis (the “Trial Version”) free of charge until the end of the free trial period for which you registered or ordered the applicable Licensed Software. The Trial Version may be used only to review, demonstrate and evaluate the Licensed Software and may have limited features. The Trial Version may cease operating after the applicable time period or number of uses based on an internal metering mechanism within the Trial Version itself. Regardless of any such metering, you must stop use at the end of such period or number of uses. Additional trial terms and conditions may appear on the trial registration web page or Order Form. Any such additional terms and conditions are incorporated into this Agreement by reference and are legally binding.

4. Grant of License; Ownership.

4.1 License Grant. Subject to the terms and conditions of this Agreement and Order Form, OpenFaaS Ltd hereby:

(i) grants to the Licensee a limited, non-exclusive, non-transferable, revocable, license to use the Licensed Software and solely for its internal business purposes for use by End Users and for the term and in accordance with the conditions and limitations set forth herein and in the Order Form.

(ii) To the extent that there is any Third Party Software embedded in, bundled with, or otherwise provided to Licensee in connection with the Licensed Program Materials under this License Agreement, such third party software shall be considered Licensed Software and such Third Party Software shall be used and operated solely with the operation of the Licensed Program Materials and not as a standalone application or any other purpose. Certain Third Party Software may be subject to an open source license(“OSS License”), which when required by such license is included with the documentation for the Licensed Software (“Documentation”). Licensee’s license rights with respect to Third Party Software subject to an OSS License are defined by the terms of the applicable OSS License; nothing in this Agreement shall restrict, limit, or otherwise affect any rights or obligations Licensee may have, or conditions to which Licensee may be subject, under such OSS License. The foregoing includes, without limitation, the Apache License, Version 2.0 found at: http://www.apache.org/licenses/LICENSE-2.0 (the “Apache License”) and the MIT License found at: https://opensource.org/licenses/MIT

4.2 Ownership. As between the parties, OpenFaaS Ltd retains all right, title and interest in the Licensed Program Materials, including but not limited to any and all Intellectual Property Rights in the Licensed Program Materials now owned or that may be owned in the future by OpenFaaS Ltd.

4.3 Intellectual Property Rights (IPR). Copyright for samples, code, logos, trademarks, diagrams and documentation rests with OpenFaaS Ltd. All pre-existing IPR remains the property of the originating party; and it is agreed that no IPR is transferred from the Client to the Supplier under this agreement.

4.4 Restrictions. Licensee shall not distribute, display, sublicense, rent, lease, use in a service bureau, modify, translate, reverse engineer, decompile, disassemble, create derivative works based on, or copy the Licensed Program Materials, except to the extent expressly permitted by applicable law, and only to the extent OpenFaaS Ltd shall not be permitted by that applicable law to exclude or limit such rights.

4.5 Feedback. Customer may provide feedback to OpenFaaS Ltd about the Products (e.g. technical support input, suggestions, or enhancement requests). OpenFaaS Ltd may develop, modify, and improve the Products based on Customer’s Feedback without obligation to Customer, and Customer irrevocably assigns to OpenFaaS Ltd all right, title, and interest in that Feedback.

5. Termination and Continuing Obligations

5.1 This Agreement is effective from the first date you install or access the Licensed Software and continues until terminated as set forth below:

By the Customer: You may terminate this Agreement at any time by permanently deleting the Licensed Software, destroying all copies, and ceasing all use.
By OpenFaaS Ltd: OpenFaaS Ltd may terminate this Agreement immediately upon written notice if you fail to comply with any terms or conditions herein, including use of the Licensed Software without a valid license key.

Additionally:

This Agreement shall terminate automatically without notice upon expiry of the license key or the failure to renew your subscription for the Licensed Software.
Upon termination, you must immediately stop using the Licensed Software, delete all copies in your possession or control, and confirm in writing to OpenFaaS Ltd that these actions have been completed.
Sections 1, 2, 4, 6, 7, and 8 of this Agreement shall survive termination.

5.2 License Renewal and Customer Responsibilities

(a) It is the sole responsibility of the Customer to renew and remit payment for any licenses for the Licensed Software in a timely manner to maintain uninterrupted access and compliance with this Agreement. OpenFaaS Ltd. recommends that Customers request a renewal quote at least thirty (30) days prior to the expiry of the current license to ensure sufficient time for processing.
(b) OpenFaaS Ltd. shall bear no costs, liabilities, or obligations related to the Customer's failure to renew or remit payment for licenses in a timely manner. The Customer acknowledges and agrees that maintaining a valid and active license is 100% their responsibility, and any interruption or cessation of access to the Licensed Software due to non-renewal or non-payment shall not entitle the Customer to any remedies or compensation from OpenFaaS Ltd.

6. Customer Data

6.1 Customer Data. In order to use the Products, Customer may need to complete a registration process and provide contact information such as an email address, credentials and other account billing information ("Account Data"). Customer must provide complete and accurate Account Data during the registration process and must keep Customer's Account Data up-to-date. Customer is prohibited from misrepresenting Customer's identity or affiliation with any company or other entity. By providing Account Data, Customer hereby consents that it may receive email or other communications from OpenFaaS Ltd. Such communications may include communications regarding Customer's use of the Products and/or commercial content relating to other OpenFaaS Ltd Products. If you do not wish to receive such communications, a Customer may opt-out by notifying OpenFaaS Ltd at contact@openfaas.com

6.2. Supplier may audit Your use of the Software (e.g., through use of software tools) to assess whether Your use of the Software is in accordance with this Agreement. You agree to cooperate with Supplier's audit and provide reasonable assistance and access to information. Any such audit shall not unreasonably interfere with Your normal business operations.

6.3 In order to audit Your use of the Software, Telemetry Data may be collected and sent via the Internet to servers operated by OpenFaaS Ltd. Telemetry Data includes information about the host servers where the Software is installed such as: number of Nodes, CPUs, RAM, and version numbers. Information about the Software may also be collected such as the total number of Functions, Function invocations, and the number of installations of the Software.

6.4 Your Telemetry Data will be kept private and confidential and will not be shared with any third parties. Telemetry Data will be used to provide You with better support, to improve the Software, and for accurate billing.

6.5 Unless otherwise agreed in writing, sharing of Telemetry Data with OpenFaaS Ltd is a prerequisite for using the Software.

7. Co-Marketing

7.1 At the request of Supplier, Customer agrees to participate in other reasonable marketing activities that promote the benefits of the Services to other potential customers, including providing testimonials, case studies, and references.

7.2 Customer grants use of the Customer's name and logo on the Supplier's websites and in the Supplier's promotional materials.

7.3 Customer agrees that Supplier may disclose Customer as a customer of the Products.

8. Limitation of Liability.

8.1 Warranty disclaimer. You acknowledge that the Software is provided "as is" without warranty of any kind, express or implied. You use the Software at your own risk and the product is supplied on an "as is" and "as available" basis. You assume all responsibility for selecting the Software to achieve your intended results, and for the installation of, and results obtained from the Software.

8.2 No Consequential Damages. IN NO EVENT SHALL OpenFaaS Ltd BE LIABLE HEREUNDER FOR SPECIAL, PUNITIVE, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES, INCLUDING, BUT NOT LIMITED TO, LOSS OF PROFITS, LOSS OF REVENUE, LOSS OF USE OR LOSS OF DATA, EVEN IF ADVISED OF THE POSSIBILITY THEREOF OR, IF REASONABLY FORESEEABLE, INCURRED BY LICENSEE OR END USERS, OR CLAIMED AGAINST LICENSEE BY ANY OTHER PARTY, INCLUDING END USERS (WHETHER ANY SUCH CLAIMS ARISE UNDER THEORY OF CONTRACT, TORT OR OTHERWISE).

8.3 Limitation of Liability. To the extent permitted by applicable law, the liability of OpenFaaS Ltd and its licensors, personnel, subcontractors and suppliers arising out of, in connection with, or resulting from this Agreement and, without limitation, for any and all causes with respect to the Licensed Program Materials, breach of contract, tort, warranty or otherwise, shall in the aggregate not exceed the license fees paid by Licensee hereunder in the twelve (12) months immediately preceding the event giving rise to the claim.

9. If you have any questions about these terms or our Services you may contact us by email at: contact@openfaas.com
